
import 'package:flutter/material.dart';

class AppColorLight {

  // Highlight
  static Color primaryColor = Color(0xFF1D7773);
  static Color secondaryColor = const Color(0xffF7941E);
  static Color backgroundColor = const Color(0xffffffff);
  static Color scaffoldBackgroundColor = const Color(0xffF5F8FA);
  static Color redExcluir = Colors.red;

  // Texto
  static Color text00Color = const Color(0xff181C32);
  static Color text01Color = const Color(0xff111827);
  static Color text02Color = const Color(0xff5E6278);
  static Color text03Color = const Color(0xffA1A5B7);
  static Color text04Color = const Color(0xffC5CAD3);
  static Color text05Color = const Color(0xffF9F9F9);
  static Color text06Color = const Color(0xffF5F8FA);
  static Color text07Color = const Color(0xffD9D9D9);
  static Color text08Color = const Color(0xffF4F4F4);
  static Color text09Color = const Color(0xffE3E5EB);
  static Color text10Color = const Color(0xffB4CDFB);
  static Color borderColor = const Color(0xffE2E2EA);

  // Alertas
  static Color infoColor = const Color(0xff0358F1); 
  static Color sucessColor = const Color(0xff00D89A); 
  static Color warningColor = const Color(0xffF79E1E); 
  static Color erroColor = const Color(0xffEA001B);

  // Icons
  static Color iconMoreVert = const Color(0xffA1A5B7);

  // Others
  static Color grey = const Color(0xffE3E5EB);

}

class AppFontSize { 
  static double fontSize11 = 11;
  static double fontSize12 = 12;
  static double fontSize13 = 13;
  static double fontSize14 = 14;
  static double fontSize15 = 15;
  static double fontSize16 = 16;
  static double cursorHeight = 15;
}


class AppSpaceSize { 
  static double spaceSize5 = 5;
  static double spaceSize10 = 10;
  static double spaceSize15 = 15;
  static double spaceSize20 = 20;
}

class AppIconSize {
  static double iconSize = 20;
}


MaterialColor createMaterialColor(Color color) {
  List strengths = <double>[.05];
  final swatch = <int, Color>{};
  final int r = color.red, g = color.green, b = color.blue;

  for (int i = 1; i < 10; i++) {
    strengths.add(0.1 * i);
  }
  for (var strength in strengths) {
    final double ds = 0.5 - strength;
    swatch[(strength * 1000).round()] = Color.fromRGBO(
      r + ((ds < 0 ? r : (255 - r)) * ds).round(),
      g + ((ds < 0 ? g : (255 - g)) * ds).round(),
      b + ((ds < 0 ? b : (255 - b)) * ds).round(),
      1,
    );
  }
  return MaterialColor(color.value, swatch);
}

class AppColorDark {
  static Color darkPrimary = const Color(0xff1D192D);
  static Color darkBG = Colors.black;
  // static Color darkAccent = Colors.red[400];
}